## ESearchBar ESearchBar |

## Functions

GtkWidget * | e_search_bar_new ()
void | e_search_bar_clear ()
void | e_search_bar_changed ()
EWebView * | e_search_bar_get_web_view ()
gboolean | e_search_bar_get_active_search ()
gboolean | e_search_bar_get_case_sensitive ()
void | e_search_bar_set_case_sensitive ()
gchar * | e_search_bar_get_text ()
void | e_search_bar_set_text ()

## Description

## Functions

### e_search_bar_new ()

    GtkWidget *
    e_search_bar_new (EWebView *web_view);

`e_search_bar_new` is deprecated and should not be used in newly-written code.

### e_search_bar_clear ()

    void
    e_search_bar_clear (ESearchBar *search_bar);

`e_search_bar_clear` is deprecated and should not be used in newly-written code.

### e_search_bar_changed ()

    void
    e_search_bar_changed (ESearchBar *search_bar);

`e_search_bar_changed` is deprecated and should not be used in newly-written code.

### e_search_bar_get_web_view ()

    EWebView *
    e_search_bar_get_web_view (ESearchBar *search_bar);

`e_search_bar_get_web_view` is deprecated and should not be used in newly-written code.

### e_search_bar_get_active_search ()

    gboolean
    e_search_bar_get_active_search (ESearchBar *search_bar);

`e_search_bar_get_active_search` is deprecated and should not be used in newly-written code.

### e_search_bar_get_case_sensitive ()

    gboolean
    e_search_bar_get_case_sensitive (ESearchBar *search_bar);

`e_search_bar_get_case_sensitive` is deprecated and should not be used in newly-written code.

### e_search_bar_set_case_sensitive ()

    void
    e_search_bar_set_case_sensitive (ESearchBar *search_bar,
                                     gboolean case_sensitive);

`e_search_bar_set_case_sensitive` is deprecated and should not be used in newly-written code.

### e_search_bar_get_text ()

    gchar *
    e_search_bar_get_text (ESearchBar *search_bar);

`e_search_bar_get_text` is deprecated and should not be used in newly-written code.

### e_search_bar_set_text ()

    void
    e_search_bar_set_text (ESearchBar *search_bar,
                           const gchar *text);

`e_search_bar_set_text` is deprecated and should not be used in newly-written code.

## Types and Values